Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-6860

lucene-spatial has a runtime dependency on spatial-4j tests jar

Details

    • Bug
    • Status: Closed
    • Blocker
    • Resolution: Fixed
    • 5.4
    • 5.4, 6.0
    • modules/spatial
    • None
    • New

    Description

      Since LUCENE-6810 the spatial module depends on the spatial-4j tests JAR which is when you pull it in via maven a transitive dependency and is required to at runtime. See https://github.com/elastic/elasticsearch/issues/14328 for details.

      dsmiley can you take a look at this please

      Attachments

        Issue Links

          Activity

            People

              dsmiley David Smiley
              simonw Simon Willnauer
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: